# Uses of Interface
org.eclipse.jface.bindings.keys.formatting.IKeyFormatter

Packages that use IKeyFormatter
Package
Description
org.eclipse.jface.bindings.keys
Provides support for bindings between commands and keys.
org.eclipse.jface.bindings.keys.formatting
Provides support for formatting key sequences.

## Uses of IKeyFormatter in org.eclipse.jface.bindings.keys

Methods in org.eclipse.jface.bindings.keys that return IKeyFormatter
Modifier and Type
Method
Description
`static IKeyFormatter`
SWTKeySupport.`getKeyFormatterForPlatform()`
Provides an instance of `IKeyFormatter` appropriate for the current instance.

## Uses of IKeyFormatter in org.eclipse.jface.bindings.keys.formatting

Classes in org.eclipse.jface.bindings.keys.formatting that implement IKeyFormatter
Modifier and Type
Class
Description
`class`
`AbstractKeyFormatter`
An abstract implementation of a key formatter that provides a lot of common key formatting functionality.
`final class`
`EmacsKeyFormatter`
A key formatter providing the Emacs-style accelerators using single letters to represent the modifier keys.
`final class`
`FormalKeyFormatter`
Formats the keys in the internal key sequence grammar.
`final class`
`NativeKeyFormatter`
Formats the key sequences and key strokes into the native human-readable format.
Methods in org.eclipse.jface.bindings.keys.formatting that return IKeyFormatter
Modifier and Type
Method
Description
`static final IKeyFormatter`
KeyFormatterFactory.`getDefault()`
An accessor for the current default key formatter.
`static final IKeyFormatter`
KeyFormatterFactory.`getEmacsKeyFormatter()`
Provides an instance of `EmacsKeyFormatter`.
`static final IKeyFormatter`
KeyFormatterFactory.`getFormalKeyFormatter()`
Provides an instance of `FormalKeyFormatter`.
Methods in org.eclipse.jface.bindings.keys.formatting with parameters of type IKeyFormatter
Modifier and Type
Method
Description
`static final void`
KeyFormatterFactory.`setDefault(IKeyFormatter defaultKeyFormatter)`
Sets the default key formatter.